image: elixir:latest

stages:
  - test

variables:
  MIX_ENV: "test"

before_script:
  - git clone https://gitlab-ci-token:${CI_JOB_TOKEN}@gitlab.com/trixta/platform/trixta_names ../trixta_names
  - git clone https://gitlab-ci-token:${CI_JOB_TOKEN}@gitlab.com/trixta/platform/trixta_storage ../trixta_storage
  - git clone https://gitlab-ci-token:${CI_JOB_TOKEN}@gitlab.com/trixta/platform/trixta_utils ../trixta_utils
  - mix local.rebar --force
  - mix local.hex --force
  - mix deps.get --only test

unit-testing:
  stage: test
  script:
    - mix test

